> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Call Recording

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

# Fetch Call Recording

To retrieve the recording of a specific call using either the `userId` or `sessionId`.

| Method            | GET                                                                                                                            |
| :---------------- | :----------------------------------------------------------------------------------------------------------------------------- |
| **Endpoints**     | `https://{{host}}/api/public/bot/{{botId}}/recordings?{{userId}}`                                                              |
|                   | `https://{{host}}/api/public/bot/{{botId}}/recordings?{{sessionId}}`                                                           |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Recordings                                                                                                         |

## Path Parameters

| Parameter | Description                                                   | Type             |
| :-------- | :------------------------------------------------------------ | :--------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`      | string, required |
| `botId`   | botId or streamId. You can get it from the App Settings page. | string, required |

## Query Parameters

| Parameter   | Description                                                                                                                    | Type             |
| :---------- | :----------------------------------------------------------------------------------------------------------------------------- | :--------------- |
| `userId`    | The ID of the user whose conversation history will be accessed. It can be a user email id or an enterprise-assigned unique id. | string, required |
| `sessionId` | The unique identifier for the session record.                                                                                  | string, required |

## Sample Request

```bash theme={null}
curl --location --request GET '{{host}}/api/1.1/public/bot/{{botId}}/recordings?userId={{userId}}' \
--header 'auth: {{JWT_TOKEN}}'
curl --location --request GET '{{host}}/api/1.1/public/bot/{{botId}}/recordings?sessionId={{sessionId}}' \
--header 'auth: {{JWT_TOKEN}}'
```

## Sample Response

```json theme={null}
{
    "recording": [
        "data:audio/wav;base64,{encodedFileInTheSpecifiedFormat}"
    ]
}
```
